# record-internal.h File Reference

## Detailed Description

Support functions, types, and templates for the general record parsing classes in r_*.h files.

This header is NOT installed for applications to use, so it is safe to put library-specific things in here.

Definition in file record-internal.h.

`#include <string>`
`#include "protostructs.h"`
`#include "error.h"`
`#include "endian.h"`
`#include "record.h"`

Include dependency graph for record-internal.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | Barry

## Classes

struct | Barry::FieldLink< RecordT >